/*=========================================
            GALLERY
=========================================*/

/*=========================================
            FACILITIES
=========================================*/

.page-banner{

    position: relative;

    width: 100%;

    height: 320px;

    background: url("../images/building.jpeg") center center/cover no-repeat;

    display: flex;

    align-items: center;

    justify-content: center;

    overflow: hidden;

}

/* Overlay */

.banner-overlay{

    position: absolute;

    top: 0;
    left: 0;

    width: 100%;
    height: 100%;

    background: linear-gradient(
        rgba(67,56,202,.75),
        rgba(15,23,42,.75)
    );

}

/* Content */

.banner-content{

    position: relative;

    z-index: 2;

    text-align: center;

    color: #fff;

}

.banner-content h1{

    font-size: 48px;

    font-weight: 700;

    margin-bottom: 15px;

    letter-spacing: 1px;

}

.breadcrumb{

    display: flex;

    justify-content: center;

    align-items: center;

    gap: 12px;

    font-size: 16px;

}

.breadcrumb a{

    color: #06B6D4;

    transition: .3s;

}

.breadcrumb a:hover{

    color: #fff;

}

.breadcrumb span{

    color: #fff;

}

.breadcrumb i{

    font-size: 13px;

}

.gallery-section{

    padding:90px 0;

    background:#F8FAFC;

}


/*========== Gallery Grid ==========*/

.gallery-grid{

    margin-top:50px;

    display:grid;

    grid-template-columns:repeat(4,1fr);

    gap:25px;

}

/*========== Gallery Card ==========*/

.gallery-item{

    position:relative;

    overflow:hidden;

    border-radius:18px;

    box-shadow:0 10px 30px rgba(0,0,0,.08);

    cursor:pointer;

}

.gallery-item img{

    width:100%;

    height:280px;

    object-fit:cover;

    transition:.45s;

}

.gallery-item:hover img{

    transform:scale(1.1);

}

/*========== Overlay ==========*/

.gallery-item::before{

    content:"";

    position:absolute;

    inset:0;

    background:rgba(67,56,202,.45);

    opacity:0;

    transition:.35s;

    z-index:1;

}

.gallery-item:hover::before{

    opacity:1;

}

.gallery-item::after{

    content:"\f00e";

    font-family:"Font Awesome 6 Free";

    font-weight:900;

    position:absolute;

    top:50%;

    left:50%;

    transform:translate(-50%,-50%);

    width:65px;

    height:65px;

    border-radius:50%;

    background:#fff;

    color:#4338CA;

    display:flex;

    justify-content:center;

    align-items:center;

    font-size:24px;

    opacity:0;

    transition:.35s;

    z-index:2;

}

.gallery-item:hover::after{

    opacity:1;

}



.lightbox{

    position:fixed;

    inset:0;

    background:rgba(0,0,0,.9);

    display:none;

    justify-content:center;

    align-items:center;

    z-index:9999;

}

.lightbox.active{

    display:flex;

}

#lightbox-img{

    max-width:90%;

    max-height:85%;

    border-radius:10px;

    box-shadow:0 10px 40px rgba(255,255,255,.15);

}

.close-lightbox{

    position:absolute;

    top:25px;

    right:40px;

    font-size:45px;

    color:#fff;

    cursor:pointer;

    transition:.3s;

}

.close-lightbox:hover{

    color:#FBBF24;

}

.lightbox-prev,

.lightbox-next{

    position:absolute;

    top:50%;

    transform:translateY(-50%);

    width:55px;

    height:55px;

    border:none;

    border-radius:50%;

    background:#4C1D95;

    color:#fff;

    font-size:28px;

    cursor:pointer;

    transition:.3s;

}

.lightbox-prev:hover,

.lightbox-next:hover{

    background:#FBBF24;

    color:#2E1065;

}

.lightbox-prev{

    left:40px;

}

.lightbox-next{

    right:40px;

}